Summary:            Advanced IP routing and network device configuration tools
Name:               iproute
Version:            6.4.0
Release:            5%{?dist}
License:            GPLv2+ and Public Domain
URL:                https://kernel.org/pub/linux/utils/net/%{name}2/
Source0:            https://kernel.org/pub/linux/utils/net/%{name}2/%{name}2-%{version}.tar.gz

BuildRequires:      bison flex gcc make
BuildRequires:      elfutils-libelf-devel 
BuildRequires:      iptables-devel >= 1.4.5
BuildRequires:      libbpf-devel libcap-devel
BuildRequires:      libdb-devel libmnl-devel
BuildRequires:      libselinux-devel pkgconfig

%if ! 0%{?_module_build}
BuildRequires:      linux-atm-libs-devel
%endif
Requires:           libbpf psmisc
Provides:           /sbin/ip

%description
The iproute package contains networking utilities (ip and rtmon, for example)
which are designed to use the advanced networking capabilities of the Linux
kernel.

%package tc
Summary:            Linux Traffic Control utility
License:            GPLv2+
Requires:           %{name} = %{version}-%{release}
Provides:           /sbin/tc

%description tc
The Traffic Control utility manages queueing disciplines, their classes and
attached filters and actions. It is the standard tool to configure QoS in
Linux.

%if ! 0%{?_module_build}
%package doc
Summary:            Documentation for iproute2 utilities with examples
License:            GPLv2+
Requires:           %{name} = %{version}-%{release}

%description doc
The iproute documentation contains howtos and examples of settings.
%endif

%package devel
Summary:            iproute development files
License:            GPLv2+
Requires:           %{name} = %{version}-%{release}
Provides:           iproute-static = %{version}-%{release}

%description devel
The libnetlink static library.

%prep
%autosetup -p1 -n %{name}2-%{version}

%build
%configure
%make_build

%install
export SBINDIR='%{_sbindir}'
export LIBDIR='%{_libdir}'
%make_install
echo '.so man8/tc-cbq.8' > %{buildroot}%{_mandir}/man8/cbq.8
install -D -m644 include/libnetlink.h %{buildroot}%{_includedir}/libnetlink.h
install -D -m644 lib/libnetlink.a %{buildroot}%{_libdir}/libnetlink.a
rm -rf '%{buildroot}%{_docdir}'


%files
%license COPYING
%doc README README.devel
%dir %{_sysconfdir}/iproute2
%{_mandir}/man7/*
%exclude %{_mandir}/man7/tc-*
%{_mandir}/man8/*
%exclude %{_mandir}/man8/tc*
%exclude %{_mandir}/man8/cbq*
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/iproute2/*
%{_sbindir}/*
%exclude %{_sbindir}/tc
%exclude %{_sbindir}/routel
%{_datadir}/bash-completion/completions/devlink

%files tc
%license COPYING
%{_mandir}/man7/tc-*
%{_mandir}/man8/tc*
%{_mandir}/man8/cbq*
%dir %{_libdir}/tc/
%{_libdir}/tc/*
%{_sbindir}/tc
%{_datadir}/bash-completion/completions/tc

%if ! 0%{?_module_build}
%license COPYING
%files doc
%doc examples
%endif

%files devel
%license COPYING
%{_mandir}/man3/*
%{_libdir}/libnetlink.a
%{_includedir}/libnetlink.h
%{_includedir}/iproute2/bpf_elf.h

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4.0-5
- Rebuilt for loongarch release

* Wed Jan 17 2024 Rebuild Robot <rebot@opencloudos.org> - 6.4.0-4
- Rebuilt for elfutils

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 17 2023 kianli <kianli@tencent.com> - 6.4.0-2
- Rebuild with libbpf 1.2.0

* Tue Jul 11 2023 Yi Lin <nilusyi@tencent.com> - 6.4.0-1
- update to 6.4.0.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 26 2022 Feng Weiyao <wynnfeng@tencent.com> - 6.0.0-1
- update to 6.0.0.

* Wed May 18 2022 Yi Lin <nilusyi@tencent.com> - 5.17.0-1
- package init
